Skip to main content
`Ctrl`+`K`

# KSPConvergedReasonViewCancel

Clears all the reasonview functions for a `KSP` object set with `KSPConvergedReasonViewSet()` as well as the default viewer.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPConvergedReasonViewCancel(KSP ksp)

Collective

## Input Parameter

- ksp - iterative solver obtained from `KSPCreate()`

## See Also

KSP: Linear System Solvers, `KSPCreate()`, `KSPDestroy()`, `KSPReset()`, `KSPConvergedReasonViewSet()`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages